import { JupyterLabPlugin } from '@jupyterlab/application';
import { IInstanceTracker } from '@jupyterlab/apputils';
import { Token } from '@phosphor/coreutils';
import { Panel } from '@phosphor/widgets';
export declare class IBGPanel extends Panel {
    private _frame;
    constructor();
    readonly iframeNode: HTMLIFrameElement;
    url: string;
}
/**
 * A class that tracks IBG widgets.
 */
export interface IBGPanelTracker extends IInstanceTracker<IBGPanel> {
}
/**
 * The editor tracker token.
 */
export declare const IBGPanelTracker: Token<IBGPanelTracker>;
declare const extension: JupyterLabPlugin<IBGPanelTracker>;
export default extension;
